Name: openbabel
Version: 2.2.0
Release: alt1

Summary: Chemistry software file format converter
License: GPL
Group: Sciences/Chemistry

Url: http://openbabel.sourceforge.net
Source: http://dl.sf.net/%name/%name-%version.tar.gz

Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Fri Dec 16 2005
BuildRequires: doxygen gcc-c++ libstdc++-devel libxml2-devel swig zlib-devel

Summary(ru_RU.UTF-8): Конвертор биохимических форматов данных
Summary(uk_UA.UTF-8): Конвертор біохімічних форматів даних

%description
Open Babel is a project designed to pick up where Babel left off,
as a cross-platform program and library designed to interconvert
between many file formats used in molecular modeling and computational
chemistry.

%description -l ru_RU.UTF-8
Open Babel -- продолжение проекта Babel как кросплатформенного инструмента
для конвертирования многочисленных форматов данных, используемых в
молекулярном моделировании и вычислительной химии.

%description -l uk_UA.UTF-8
Open Babel -- продовження проекту Babel як кросплатформенного інструменту
для конвертування численних форматів даних, що використовуються у
молекулярному моделюванні та обчислювальній хімії.

%package -n lib%name
Summary: Shared libraries for programs which will use Open Babel
Group: System/Libraries

%package -n lib%name-devel
Summary: Development tools for programs which will use the lib%name library
Group: Development/C++
Requires: lib%name = %version-%release

%if_enabled static
%package -n lib%name-devel-static
Summary: Static development files for lib%name
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static development files for lib%name
%endif

%description -n lib%name
Shared libraries for programs which will use Open Babel

%description -n lib%name-devel
The lib%name-devel package includes the header files and static libraries
necessary for developing programs using the lib%name library.

If you are going to develop programs which will use this library
you should install lib%name-devel.  You'll also need to have the
lib%name package installed.

%prep
%setup -q
aclocal --force
autoconf
automake

%build
%configure \
    %{subst_enable static} \
    --enable-shared=yes \
    --enable-doxygen
%make_build

%install
%make_install install DESTDIR=%buildroot

%if_enabled static
%else
rm -f %buildroot%_libdir/*.a
rm -f %buildroot%_libdir/%name/*.{a,la}
%endif

%files
%doc AUTHORS ChangeLog README THANKS 
%doc doc/FAQ* doc/README* doc/babel*.inc doc/dioxin.*
%_bindir/*
%_man1dir/*
%_datadir/%name

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/%name/
%dir %_libdir/%name/%version/
%_libdir/%name/%version/*.so

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Oct 15 2008 Sergey V Turchin <zerg at altlinux dot org> 2.2.0-alt1
- new version

* Thu Nov 09 2006 Michael Shigorin <mike@altlinux.org> 2.0.2-alt1
- 2.0.2
- patches removed (applied upstream)

* Sun Mar 26 2006 Michael Shigorin <mike@altlinux.org> 2.0.0-alt2
- fixed build with --as-needed
- added gcc41 patch by vlaaad/users.sf.net (from SF tracker)
- don't remove *.a when static library build is requested

* Tue Dec 20 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1
- add Packager tag
- add /usr/lib/openbabel to pack
- cleanup spec, repack source to tar.bz2

* Thu Dec 15 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt0.1
- NMU: new version
- add URL to Source, update Buildrequires

* Sun Nov 27 2005 Michael Shigorin <mike@altlinux.org> 2.0.0-alt0
- 2.0.0 (initial build)
- warning, API's incompatible -- see the site or migration docs

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.100.2-alt1.1
- Rebuilt with libstdc++.so.6.

* Wed Mar 03 2004 Michael Shigorin <mike@altlinux.ru> 1.100.2-alt1
- 1.100.2

* Wed Dec 17 2003 Michael Shigorin <mike@altlinux.ru> 1.100.1-alt2
- removed *.la
- don't package static library by default

* Mon Sep 22 2003 Michael Shigorin <mike@altlinux.ru> 1.100.1-alt1
- 1.100.1
- #2994 fixed; thanks to Alex Ott (ott@) for a pointer
- spec cleanup (underlibification fixup)

* Mon Jun 30 2003 Michael Shigorin <mike@altlinux.ru> 1.100.0-alt1
- built for ALT Linux
- based on Mandrake Cooker spec by:
  * Lenny Cartier <lenny@mandrakesoft.com>
  * Austin Acton <aacton@yorku.ca>
- spec cleanup
